--- title: "getCloudHadoopNotebookProductList" slug: "analytics-vhadoop-getcloudhadoopnotebookproductlist" updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/analytics-vhadoop-getcloudhadoopnotebookproductlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudHadoopNotebookProductList Available in VPC Get the types of the notebook node server that can be used in Cloud Hadoop. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vhadoop/v2/getCloudHadoopNotebookProductList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud Hadoop APIs, see [Cloud Hadoop request headers](/docs/en/analytics-vhadoop#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `zoneCode` | String | Optional | Filter by zone code. - See [getZoneList](/docs/en/compute-vserver-server-common-getzonelist). | | `cloudHadoopNotebookImageProductCode` | String | Required | Notebook image code - See [getCloudHadoopNotebookImageProductList](/docs/en/analytics-vhadoop-getcloudhadoopnotebookimageproductlist). | | `infraResourceDetailTypeCode` | String | Optional | Filter by notebook detailed type code. - `NTBND`: notebook node (valid value) | | `productCode` | String | Optional | Filter by notebook node server type code. | | `exclusionProductCode` | String | Optional | Filter by excluding notebook node server type code. | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vhadoop/v2/getCloudHadoopNotebookProductList ?regionCode=KR &cloudHadoopNotebookImageProductCode=SW.VCHDP.LNX64.CNTOS.0708.HDNTB.10.B050 &productCode=SVR.VCHDP.NTBND.STAND.C004.M016.NET.HDD.B050.G002 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getCloudHadoopNotebookProductListResponse` | Object | - | Response result - See [ProductList](/docs/en/common-vapidatatype-productlist). | | `getCloudHadoopNotebookProductListResponse.requestId` | String | - | ID for the request - UUID format | | `getCloudHadoopNotebookProductListResponse.returnCode` | String | - | Response code | | `getCloudHadoopNotebookProductListResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the HTTP status codes common to all Cloud Hadoop APIs, see [Cloud Hadoop response status codes](/docs/en/analytics-vhadoop#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getCloudHadoopNotebookProductListResponse": { "totalRows": 1, "productList": [ { "productCode": "SVR.VCHDP.NTBND.STAND.C004.M016.NET.HDD.B050.G002", "productName": "vCPU 4EA, Memory 16GB, Disk 50GB", "productType": { "code": "STAND", "codeName": "Standard" }, "productDescription": "4 vCPUs, 16 GB memory, 50 GB disk", "infraResourceType": { "code": "VCHDP", "codeName": "Cloud Hadoop (VPC)" }, "cpuCount": 4, "memorySize": 17179869184, "diskType": { "code": "NET", "codeName": "Network storage" } } ], "requestId": "39f92432-****-****-****-13ea1ccec27c", "returnCode": "0", "returnMessage": "success" } } ```